Bug 312378 - Wish: Add a command line argument to start konsole in fullscreen mode
Summary: Wish: Add a command line argument to start konsole in fullscreen mode
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: 2.9.4
Platform: openSUSE RPMs Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-30 12:51 UTC by jens
Modified: 2013-02-21 13:34 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments
"fullscreen" command line option. (1.96 KB, patch)
2013-02-19 14:06 UTC, Anders Buus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jens 2012-12-30 12:51:10 UTC
Hello there,

Currently you can start console with arguments like --hide-menubar and --hide-tabbar. Could you please add an argument --fullscreen to start immediately in fullscreen mode?

Regards,
Jens

Reproducible: Always
Comment 1 Anders Buus 2013-02-19 14:06:06 UTC
Created attachment 77437 [details]
"fullscreen" command line option.

This patch just combines --hide-menubar and --hide-tabbar into a "fullscreen" mode.
Comment 2 Kurt Hindenburg 2013-02-19 14:53:02 UTC
See https://git.reviewboard.kde.org/r/109042/ for a patch 

Anders, thanks for the patch but I don't think that's what the original wish wanted.
Comment 3 Jekyll Wu 2013-02-21 05:09:47 UTC
Currently, the "Full screen mode" action doesn't affect the status of menubar and tabbar. So for the sake of consistency, the new "--fullscreen" cmdline option should follow the same semantic. And keeping the semantic of "fullscreen" minimal and orthogonal means better flexibility. I'm afraid some users would be unhappy to see the tabbar disappearing after entering the "fullscreen" mode.

I can understand some user want to switch the UI of konsole into mimimal and make it mimic the virtual console with just one option, but consistency is of higher priority here. You can open a new wish to ask changing the semantic of "fullscreen". Let's use that ticket to collect user opinions, and leave this one just for adding a "--fullscreen" cmdline option.

So I will vote for kurt's patch.  Just use the combination of  "--hide-menubar --hide-tabbar --fullscreen" to mimic the virtual console
Comment 4 Kurt Hindenburg 2013-02-21 13:34:52 UTC
Git commit 8241682b8be0fe43ed266cc96e1492a02c5426a1 by Kurt Hindenburg.
Committed on 21/02/2013 at 14:31.
Pushed by hindenburg into branch 'master'.

Add --fullscreen command line option

Add option to go into full screen mode via command line.
REVIEW: 109042
FIXED-IN: 4.11

M  +3    -0    src/Application.cpp
M  +3    -1    src/MainWindow.h
M  +1    -0    src/main.cpp

http://commits.kde.org/konsole/8241682b8be0fe43ed266cc96e1492a02c5426a1